--- old/usr/src/man/man3c/cond_init.3c	Sat Feb 15 09:54:06 2020
+++ new/usr/src/man/man3c/cond_init.3c	Sat Feb 15 09:54:06 2020
@@ -44,12 +44,11 @@
 .\" Copyright (c) 2001, The IEEE and The Open Group.  All Rights Reserved.
 .\" Copyright (c) 2007, Sun Microsystems, Inc.  All Rights Reserved.
 .\"
-.TH COND_INIT 3C "Jun 5, 2007"
+.TH COND_INIT 3C "February 15, 2020"
 .SH NAME
 cond_init, cond_wait, cond_timedwait, cond_reltimedwait, cond_signal,
 cond_broadcast, cond_destroy \- condition variables
 .SH SYNOPSIS
-.LP
 .nf
 cc -mt [ \fIflag\fR... ] \fIfile\fR... [ \fIlibrary\fR... ]
 #include <thread.h>
@@ -92,8 +91,6 @@
 
 .SH DESCRIPTION
 .SS "Initialize"
-.sp
-.LP
 Condition variables and mutexes should be global. Condition variables that are
 allocated in writable memory can synchronize threads among processes if they
 are shared by the cooperating processes (see \fBmmap\fR(2)) and are initialized
@@ -119,7 +116,7 @@
 .LP
 The \fBcond_init()\fR function initializes the condition variable pointed to by
 \fIcvp\fR. A condition variable can have several different types of behavior,
-specified by \fItype\fR. No current type uses  \fIarg\fR although a future type
+specified by \fItype\fR. No current type uses \fIarg\fR although a future type
 may specify additional behavior parameters with \fIarg\fR. The \fItype\fR
 argument c take one of the following values:
 .sp
@@ -128,7 +125,7 @@
 \fB\fBUSYNC_THREAD\fR\fR
 .ad
 .RS 17n
-The condition variable can synchronize  threads only in this process. This is
+The condition variable can synchronize threads only in this process. This is
 the default.
 .RE
 
@@ -199,8 +196,6 @@
 .in -2
 
 .SS "Condition Wait"
-.sp
-.LP
 The condition wait interface allows a thread to wait for a condition and
 atomically release the associated mutex that it needs to hold to check the
 condition. The thread waits for another thread to make the condition true and
@@ -211,7 +206,7 @@
 \fImp\fR and causes the calling thread to block on the condition variable
 pointed to by \fIcvp\fR. The blocked thread may be awakened by
 \fBcond_signal()\fR, \fBcond_broadcast()\fR, or when interrupted by delivery of
-a  \fBUNIX\fR signal or a \fBfork()\fR.
+a \fBUNIX\fR signal or a \fBfork()\fR.
 .sp
 .LP
 The \fBcond_wait()\fR, \fBcond_timedwait()\fR, and \fBcond_reltimedwait()\fR
@@ -222,8 +217,6 @@
 functions return the appropriate error value if they fail to internally
 reacquire the mutex.
 .SS "Condition Signaling"
-.sp
-.LP
 A condition signal allows a thread to unblock a single thread waiting on the
 condition variable, whereas a condition broadcast allows a thread to unblock
 all threads waiting on the condition variable.
@@ -248,8 +241,6 @@
 predictable scheduling behavior is required, then that mutex should be locked
 by the thread prior to calling \fBcond_signal()\fR or \fBcond_broadcast()\fR.
 .SS "Destroy"
-.sp
-.LP
 The condition destroy functions destroy any state, but not the space,
 associated with the condition variable.
 .sp
@@ -258,13 +249,9 @@
 condition variable pointed to by \fIcvp\fR. The space for storing the condition
 variable is not freed.
 .SH RETURN VALUES
-.sp
-.LP
 Upon successful completion, these functions return \fB0\fR. Otherwise, a
 non-zero value is returned to indicate the error.
 .SH ERRORS
-.sp
-.LP
 The \fBcond_timedwait()\fR and \fBcond_reltimedwait()\fR functions will fail
 if:
 .sp
@@ -313,7 +300,7 @@
 \fB\fBEOWNERDEAD\fR\fR
 .ad
 .RS 19n
-The last owner of the mutex died while  holding the mutex, possibly leaving the
+The last owner of the mutex died while holding the mutex, possibly leaving the
 state it was protecting inconsistent. The mutex is now owned by the caller.
 .RE
 
@@ -342,11 +329,10 @@
 .RE
 
 .SH EXAMPLES
-.LP
 \fBExample 1 \fRUse \fBcond_wait()\fR in a loop to test some condition.
 .sp
 .LP
-The \fBcond_wait()\fR functin is normally used in a loop testing some
+The \fBcond_wait()\fR function is normally used in a loop testing some
 condition, as follows:
 
 .sp
@@ -413,8 +399,6 @@
 .in -2
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -429,14 +413,10 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBfork\fR(2), \fBmmap\fR(2), \fBsetitimer\fR(2), \fBshmop\fR(2),
 \fBmutex_init\fR(3C), \fBsignal\fR(3C), \fBattributes\fR(5),
 \fBcondition\fR(5), \fBmutex\fR(5), \fBstandards\fR(5)
 .SH NOTES
-.sp
-.LP
 If more than one thread is blocked on a condition variable, the order in which
 threads are unblocked is determined by the scheduling policy. When each thread,
 unblocked as a result of a \fBcond_signal()\fR or \fBcond_broadcast()\fR,
--- old/usr/src/man/man9e/awrite.9e	Sat Feb 15 09:54:06 2020
+++ new/usr/src/man/man9e/awrite.9e	Sat Feb 15 09:54:06 2020
@@ -4,11 +4,10 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH AWRITE 9E "Mar 28, 1997"
+.TH AWRITE 9E "February 15, 2020"
 .SH NAME
 awrite \- asynchronous write to a device
 .SH SYNOPSIS
-.LP
 .nf
 #include <sys/uio.h>
 #include <sys/aio_req.h>
@@ -16,17 +15,14 @@
 #include <sys/ddi.h>
 #include <sys/sunddi.h>
 
-\fBintprefix\fR\fBawrite\fR(\fBdev_t\fR \fIdev\fR, \fBstruct aio_req *\fR\fIaio_reqp\fR,
+\fBint prefix\fR\fBawrite\fR(\fBdev_t\fR \fIdev\fR, \fBstruct aio_req *\fR\fIaio_reqp\fR,
      \fBcred_t *\fR\fIcred_p\fR);
 .fi
 
 .SH INTERFACE LEVEL
-.sp
-.LP
 Solaris \fBDDI \fRspecific (Solaris DDI). This entry point is optional. Drivers
-that do not support an  \fBawrite()\fR entry point should use  \fBnodev\fR(9F)
+that do not support an \fBawrite()\fR entry point should use \fBnodev\fR(9F)
 .SH PARAMETERS
-.sp
 .ne 2
 .na
 \fB\fIdev\fR\fR
@@ -41,7 +37,7 @@
 \fB\fIaio_reqp\fR\fR
 .ad
 .RS 12n
-Pointer to the  \fBaio_req\fR(9S) structure that describes where the data is
+Pointer to the \fBaio_req\fR(9S) structure that describes where the data is
 stored.
 .RE
 
@@ -51,18 +47,16 @@
 \fB\fIcred_p\fR\fR
 .ad
 .RS 12n
-Pointer to the  credential structure.
+Pointer to the credential structure.
 .RE
 
 .SH DESCRIPTION
-.sp
-.LP
 The driver's \fBawrite()\fR routine is called to perform an asynchronous write.
-\fBgetminor\fR(9F) can be used to  access the minor number component of the
-\fIdev\fR argument. \fBawrite()\fR may use the  credential structure pointed to
-by  \fIcred_p\fR to check for superuser access by calling  \fBdrv_priv\fR(9F).
-The  \fBawrite()\fR routine may also examine the  \fBuio\fR(9S) structure
-through the  \fBaio_req\fR structure pointer,  \fBaio_reqp\fR. \fBawrite()\fR
+\fBgetminor\fR(9F) can be used to access the minor number component of the
+\fIdev\fR argument. \fBawrite()\fR may use the credential structure pointed to
+by \fIcred_p\fR to check for superuser access by calling \fBdrv_priv\fR(9F).
+The \fBawrite()\fR routine may also examine the \fBuio\fR(9S) structure
+through the \fBaio_req\fR structure pointer, \fBaio_reqp\fR. \fBawrite()\fR
 must call \fBaphysio\fR(9F) with the \fBaio_req\fR pointer and a pointer to the
 driver's \fBstrategy\fR(9E) routine.
 .sp
@@ -71,20 +65,15 @@
 than \fBuio_offset\fR or \fBuio_loffset\fR, may be modified for non-seekable
 devices.
 .SH RETURN VALUES
-.sp
-.LP
-The  \fBawrite()\fR routine should return   \fB0\fR for success, or the
+The \fBawrite()\fR routine should return  \fB0\fR for success, or the
 appropriate error number.
 .SH CONTEXT
-.sp
-.LP
 This function is called from user context only.
 .SH EXAMPLES
-.LP
 \fBExample 1 \fRUsing the \fBawrite()\fR routine:
 .sp
 .LP
-The following is an example of an  \fBawrite()\fR routine:
+The following is an example of an \fBawrite()\fR routine:
 
 .sp
 .in +2
@@ -107,8 +96,6 @@
 .in -2
 
 .SH SEE ALSO
-.sp
-.LP
 \fBwrite\fR(2), \fBaiowrite\fR(3C), \fBaread\fR(9E), \fBread\fR(9E),
 \fBstrategy\fR(9E), \fBwrite\fR(9E), \fBanocancel\fR(9F), \fBaphysio\fR(9F),
 \fBddi_get_soft_state\fR(9F), \fBdrv_priv\fR(9F), \fBgetminor\fR(9F),
@@ -118,7 +105,5 @@
 .LP
 \fIWriting Device Drivers\fR
 .SH BUGS
-.sp
-.LP
 There is no way other than calling \fBaphysio\fR(9F) to accomplish an
 asynchronous write.
--- old/usr/src/man/man9e/ddi_ufm.9e	Sat Feb 15 09:54:06 2020
+++ new/usr/src/man/man9e/ddi_ufm.9e	Sat Feb 15 09:54:06 2020
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2019 Joyent, Inc.
 .\"
-.Dd Apr 30, 2019
+.Dd February 15, 2020
 .Dt DDI_UFM 9E
 .Os
 .Sh NAME
@@ -367,7 +367,7 @@
 .Bl -tag -width Er -offset width
 .It Er EIO
 An error occurred talking to the device while trying to discover firmware
-capabilties.
+capabilities.
 .It Er ENOMEM
 The driver was unable to allocate memory.
 .El
--- old/usr/src/man/man9e/mac_capab_transceiver.9e	Sat Feb 15 09:54:06 2020
+++ new/usr/src/man/man9e/mac_capab_transceiver.9e	Sat Feb 15 09:54:06 2020
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright (c) 2017, Joyent, Inc.
 .\"
-.Dd Nov 26, 2017
+.Dd February 15, 2020
 .Dt MAC_CAPAB_TRANSCEIVER 9E
 .Os
 .Sh NAME
@@ -156,7 +156,7 @@
 .Bd -literal -offset indent
 typedef struct mac_capab_transceiver {
 	uint_t	mct_flags;
-	uint_t	mct_ntransceiveres;
+	uint_t	mct_ntransceivers;
 	int	(*mct_info)(void *driver, uint_t id,
 		    mac_transceiver_info_t *infop),
 	int	(*mct_read)(void *driver, uint_t id, uint_t page,
@@ -185,7 +185,7 @@
 .It Sy mct_ntransceivers
 The value of
 .Sy mct_ntransceivers
-indicates that the number of transceivers present in the device.
+indicates the number of transceivers present in the device.
 For most devices, it is expected that this value will be set to one.
 However, some devices do support multiple transceivers and PHYs that
 show up behind a single logical MAC.
@@ -231,7 +231,7 @@
 After successfully calling all of the functions, the driver should
 return
 .Sy 0 .
-Othewrise, it should return the appropriate error number.
+Otherwise, it should return the appropriate error number.
 For a full list of error numbers, see
 .Xr Intro 2 .
 Common values are:
--- old/usr/src/man/man9e/mc_getprop.9e	Sat Feb 15 09:54:06 2020
+++ new/usr/src/man/man9e/mc_getprop.9e	Sat Feb 15 09:54:06 2020
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd November 15, 2016
+.Dd February 15, 2020
 .Dt MC_GETPROP 9E
 .Os
 .Sh NAME
@@ -145,7 +145,7 @@
 	ASSERT(MUTEX_HELD(&ep->ep_lock));
 	if (strcmp(pr_name, example_priv_props[0] == 0) {
 		val = ep->ep_rx_itr;
-	} else if (strcmp(pr_name, exampe_priv_props[1] == 0) {
+	} else if (strcmp(pr_name, example_priv_props[1] == 0) {
 		val = ep->ep_tx_itr;
 	} else {
 		return (ENOTSUP);
--- old/usr/src/man/man9e/mc_setprop.9e	Sat Feb 15 09:54:06 2020
+++ new/usr/src/man/man9e/mc_setprop.9e	Sat Feb 15 09:54:06 2020
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd June 02, 2016
+.Dd February 15, 2020
 .Dt MC_SETPROP 9E
 .Os
 .Sh NAME
@@ -113,7 +113,7 @@
 Otherwise, a positive error should be returned to indicate failure.
 .Sh EXAMPLES
 The following examples shows how a device driver might structure its
-.Fn mc_setporp
+.Fn mc_setprop
 entry point.
 .Bd -literal
 #include <sys/mac_provider.h>
@@ -129,7 +129,7 @@
  */
 
 static int
-exmple_m_setprop(void *arg, const char *pr_name, mac_prop_id_t pr_num,
+example_m_setprop(void *arg, const char *pr_name, mac_prop_id_t pr_num,
     uint_t pr_valsize, const void *pr_val)
 {
 	uint32_t new_mtu;
--- old/usr/src/man/man9e/probe.9e	Sat Feb 15 09:54:07 2020
+++ new/usr/src/man/man9e/probe.9e	Sat Feb 15 09:54:07 2020
@@ -4,11 +4,10 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PROBE 9E "Nov 18, 1992"
+.TH PROBE 9E "February 15, 2020"
 .SH NAME
 probe \- determine if a non-self-identifying device is present
 .SH SYNOPSIS
-.LP
 .nf
 #include <sys/conf.h>
 #include <sys/ddi.h>
@@ -16,29 +15,24 @@
 
 
 
-\fBstatic intprefix\fR\fBprobe\fR(\fBdev_info_t *\fR\fIdip\fR);
+\fBstatic int prefix\fR\fBprobe\fR(\fBdev_info_t *\fR\fIdip\fR);
 .fi
 
 .SH INTERFACE LEVEL
-.sp
-.LP
 Solaris DDI specific (Solaris DDI). This entry point is required for
 non-self-identifying devices.  You must write it for such devices. For
-self-identifying devices,  \fBnulldev\fR(9F) should be specified in the
+self-identifying devices, \fBnulldev\fR(9F) should be specified in the
 \fBdev_ops\fR(9S) structure if a probe routine is not necessary.
 .SH ARGUMENTS
-.sp
 .ne 2
 .na
 \fB\fIdip\fR \fR
 .ad
 .RS 8n
-Pointer to the device's  \fBdev_info\fR structure.
+Pointer to the device's \fBdev_info\fR structure.
 .RE
 
 .SH DESCRIPTION
-.sp
-.LP
 \fBprobe()\fR determines whether the device corresponding to \fIdip\fR actually
 exists and is a valid device for this driver. \fBprobe()\fR is called after
 \fBidentify\fR(9E) and before \fBattach\fR(9E) for a given \fIdip\fR. For
@@ -64,10 +58,9 @@
 For a self-identifying device, this entry point is not necessary. However, if a
 device exists in both self-identifying and non-self-identifying forms, a
 \fBprobe()\fR routine can be provided to simplify the driver.
-\fBddi_dev_is_sid\fR(9F) can then be used to determine whether  \fBprobe()\fR
+\fBddi_dev_is_sid\fR(9F) can then be used to determine whether \fBprobe()\fR
 needs to do any work. See \fBddi_dev_is_sid\fR(9F) for an example.
 .SH RETURN VALUES
-.sp
 .ne 2
 .na
 \fB\fBDDI_PROBE_SUCCESS\fR \fR
@@ -104,8 +97,6 @@
 .RE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBattach\fR(9E), \fBidentify\fR(9E), \fBddi_dev_is_sid\fR(9F),
 \fBddi_map_regs\fR(9F), \fBddi_peek\fR(9F), \fBddi_poke\fR(9F),
 \fBnulldev\fR(9F), \fBdev_ops\fR(9S)
--- old/usr/src/man/man9e/usba_hcdi_hub_update.9e	Sat Feb 15 09:54:07 2020
+++ new/usr/src/man/man9e/usba_hcdi_hub_update.9e	Sat Feb 15 09:54:07 2020
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd Dec 20, 2016
+.Dd February 15, 2020
 .Dt USBA_HCDI_HUB_UPDATE 9E
 .Os
 .Sh NAME
@@ -75,7 +75,7 @@
 hub driver will not attach to this USB device, and all devices plugged
 into this hub will not be detected by the system.
 .Sh CONTEXT
-This functin is called from kernel context only.
+This function is called from kernel context only.
 .Sh RETURN VALUES
 Upon successful completion, the
 .Fn usba_hcdi_hub_update
--- old/usr/src/man/man9e/usba_hcdi_pipe_open.9e	Sat Feb 15 09:54:07 2020
+++ new/usr/src/man/man9e/usba_hcdi_pipe_open.9e	Sat Feb 15 09:54:07 2020
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd Nov 26, 2017
+.Dd February 15, 2020
 .Dt USBA_HCDI_PIPE_OPEN 9E
 .Os
 .Sh NAME
@@ -125,7 +125,7 @@
 .Ss Pipe close specifics
 When a pipe is closed, the driver must clean up all of the resources
 that it allocated when opening the pipe.
-For non-periodic transfers, the host controller driver may assueme that there
+For non-periodic transfers, the host controller driver may assume that there
 are no outstanding transfers that need to be cleaned up.
 However, the same is not true for periodic pipes.
 .Pp
--- old/usr/src/man/man9f/gld.9f	Sat Feb 15 09:54:07 2020
+++ new/usr/src/man/man9f/gld.9f	Sat Feb 15 09:54:07 2020
@@ -4,12 +4,11 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GLD 9F "Aug 28, 2003"
+.TH GLD 9F "February 15, 2020"
 .SH NAME
 gld, gld_mac_alloc, gld_mac_free, gld_register, gld_unregister, gld_recv,
 gld_sched, gld_intr \- Generic LAN Driver service routines
 .SH SYNOPSIS
-.LP
 .nf
 #include <sys/gld.h>
 
@@ -52,11 +51,8 @@
 .fi
 
 .SH INTERFACE LEVEL
-.sp
-.LP
 Solaris architecture specific (Solaris DDI).
 .SH PARAMETERS
-.sp
 .ne 2
 .na
 \fB\fImacinfo\fR \fR
@@ -102,8 +98,6 @@
 .RE
 
 .SH DESCRIPTION
-.sp
-.LP
 \fBgld_mac_alloc\fR(\|) allocates a new \fBgld_mac_info\fR(9S) structure and
 returns a pointer to it. Some of the GLD-private elements of the structure may
 be initialized before \fBgld_mac_alloc\fR(\|) returns; all other elements are
@@ -264,10 +258,8 @@
 .sp
 .LP
 If a driver calls \fBgld_linkstate()\fR, it must also set the GLD_CAP_LINKSTATE
-bit  in the  gldm_capabilties field of the \fBgld_mac_info\fR(9S) structure.
+bit in the gldm_capabilities field of the \fBgld_mac_info\fR(9S) structure.
 .SH RETURN VALUES
-.sp
-.LP
 \fBgld_mac_alloc\fR(\|) returns a pointer to a new \fBgld_mac_info\fR(9S)
 structure.
 .sp
@@ -295,8 +287,6 @@
 .LP
 \fBgld_intr\fR(\|) returns a value appropriate for an interrupt handler.
 .SH SEE ALSO
-.sp
-.LP
 \fBgld\fR(7D), \fBgld\fR(9E), \fBgld_mac_info\fR(9S), \fBgld_stats\fR(9S),
 \fBdlpi\fR(7P), \fBattach\fR(9E), \fBddi_add_intr\fR(9F)
 .sp
--- old/usr/src/man/man9f/mac_register.9f	Sat Feb 15 09:54:07 2020
+++ new/usr/src/man/man9f/mac_register.9f	Sat Feb 15 09:54:07 2020
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright (c) 2017, Joyent, Inc.
 .\"
-.Dd September 22, 2017
+.Dd February 15, 2020
 .Dt MAC_REGISTER 9F
 .Os
 .Sh NAME
@@ -170,7 +170,7 @@
 };
 
 static mac_callbacks_t example_m_callbacks = {
-	.mc_callbacsk = MC_GETCAPAB | MC_SETPROP | MC_GETPROP | MC_PROPINFO |
+	.mc_callbacks = MC_GETCAPAB | MC_SETPROP | MC_GETPROP | MC_PROPINFO |
 	    MC_IOCTL,
 	.mc_start = example_m_start,
 	.mc_stop = example_m_stop,
@@ -203,7 +203,7 @@
 	mac->m_min_sdu = 0;
 	mac->m_max_sdu = ep->ep_sdu;
 	mac->m_margin = VLAN_TAGSZ;
-	mac->m_priv_props = exmple_priv_props;
+	mac->m_priv_props = example_priv_props;
 
 	status = mac_register(mac, &ep->ep_mac_hdl);
 	mac_free(mac);
